summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 88fb7cbbc..5e9d7c048 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -39,6 +39,10 @@ if [[ -n $ADK_NATIVE ]];then
fi
fi
+if [[ -n $ADK_COMPILE_HEIMDAL ]]; then
+ NEED_BISON="$NEED_BISON heimdal-server"
+fi
+
if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
NEED_XMLTO="$NEED_XMLTO alsa-utils"
fi
@@ -92,6 +96,13 @@ if [[ -n $NEED_SSLDEV ]]; then
fi
fi
+if [[ -n $NEED_BISON ]]; then
+ if ! which bison >/dev/null 2>&1; then
+ echo >&2 You need bison to build $NEED_BISON
+ out=1
+ fi
+fi
+
if [[ -n $NEED_GXX ]]; then
if ! which g++ >/dev/null 2>&1; then
echo >&2 You need GNU c++ compiler to build $NEED_GXX